summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorJames Mills <prologic@shortcircuit.net.au>2020-07-16 21:34:26 +1000
committerGitHub <noreply@github.com>2020-07-16 21:34:26 +1000
commit1b606bc1b2a16dfbcc8b5c7ed780906b482eef11 (patch)
treeaf89f491984ed22dd9600c7b19ba5ff73462d497 /packaging
parentee1eb0f9c510a9bea853d84e7ff6d9caa4a097b5 (diff)
Revert the eBPF package bundling that breaks the release and DEB packages. (#9552)
* Revert "Fix SHA256 handling in eBPF bundling code. (#9546)" This reverts commit 7ff315810e1d2c5871c4e87049687852b2cee7ee. * Revert "Add eBPF bundling script to `make dist`. (#9539)" This reverts commit 3a7961d4176aee63f24c4cbc96dabaa13010d6f1. * Revert "Properly include eBPF collector in binary packages. (#9450)" This reverts commit 690fbcefd3ae0cbc858870ad64d320f6f251e5fc.
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/bundle-dashboard.sh6
-rwxr-xr-xpackaging/bundle-ebpf.sh14
2 files changed, 3 insertions, 17 deletions
diff --git a/packaging/bundle-dashboard.sh b/packaging/bundle-dashboard.sh
index 9cab084ed2..8e68ff13fb 100755
--- a/packaging/bundle-dashboard.sh
+++ b/packaging/bundle-dashboard.sh
@@ -6,9 +6,9 @@ WEBDIR="${2}"
DASHBOARD_TARBALL="dashboard.tar.gz"
DASHBOARD_VERSION="$(cat "${SRCDIR}/packaging/dashboard.version")"
-mkdir -p "${SRCDIR}/tmp/dashboard"
+mkdir -p "${SRCDIR}/tmp"
curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/dashboard/releases/download/${DASHBOARD_VERSION}/${DASHBOARD_TARBALL}" > "${DASHBOARD_TARBALL}" || exit 1
sha256sum -c "${SRCDIR}/packaging/dashboard.checksums" || exit 1
-tar -xzf "${DASHBOARD_TARBALL}" -C "${SRCDIR}/tmp/dashboard" || exit 1
+tar -xzf "${DASHBOARD_TARBALL}" -C "${SRCDIR}/tmp" || exit 1
# shellcheck disable=SC2046
-cp -a $(find "${SRCDIR}/tmp/dashboard/build" -mindepth 1 -maxdepth 1) "${WEBDIR}"
+cp -a $(find "${SRCDIR}/tmp/build" -mindepth 1 -maxdepth 1) "${WEBDIR}"
diff --git a/packaging/bundle-ebpf.sh b/packaging/bundle-ebpf.sh
deleted file mode 100755
index ecc365ea44..0000000000
--- a/packaging/bundle-ebpf.sh
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/sh
-
-SRCDIR="${1}"
-PLUGINDIR="${2}"
-
-EBPF_VERSION="$(cat "${SRCDIR}/packaging/ebpf.version")"
-EBPF_TARBALL="netdata-kernel-collector-glibc-${EBPF_VERSION}.tar.xz"
-
-mkdir -p "${SRCDIR}/tmp/ebpf"
-curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
-grep "${EBPF_TARBALL}" "${SRCDIR}/packaging/ebpf.checksums" | sha256sum -c - || exit 1
-tar -xaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
-# shellcheck disable=SC2046
-cp -a $(find "${SRCDIR}/tmp/ebpf" -mindepth 1 -maxdepth 1) "${PLUGINDIR}"